{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/survey_result/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/survey_result/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_survey_result_edit', {'surveyResultId': surveyResult.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Umfrageergebnisse {{ surveyResult.getTitle() }} löschen</span>
        {{ form_widget(surveyResultDeleteForm.delete, {'label': 'LÖSCHEN', 'id': surveyResultDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button delete-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-4">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Die Umfrage mit dem zugehörigen Bild und Dokument sowie ggf. vorhandene Kapitel werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um die Umfrage endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">umfrage_{{ surveyResult.getId() }}</span>
            </p>
            {{ form_start(surveyResultDeleteForm, {'attr': {'id': surveyResultDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/survey_result/delete_form.html.twig' with {'form': surveyResultDeleteForm} only %}
            {{ form_row(surveyResultDeleteForm._token) }}
            {{ form_end(surveyResultDeleteForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
